<?php

class iapiFilter {
    public function __construct () {
        $mCounter = 0;
        foreach (func_get_args() as $mItem) {
          if ($mCounter == 0) {
              $this->exp = $mItem;
          } else {
              $this->params->items[] = $mItem; 
          }
          $mCounter++;
        }
    }
}

?>